Bug 1311025 - rabbitmq-cluster resource instance may not be able to rejoin the rabbitmq cluster.
rabbitmq-cluster resource instance may not be able to rejoin the rabbitmq clu...
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
7.0 (Kilo)
All All
urgent Severity urgent
: ---
: 7.0 (Kilo)
Assigned To: Jiri Stransky
Marius Cornea
Depends On: 1311005
Blocks: 1247303
  Show dependency treegraph
Reported: 2016-02-23 03:12 EST by Michele Baldessari
Modified: 2018-02-08 06:15 EST (History)
8 users (show)

See Also:
Fixed In Version: openstack-tripleo-heat-templates-0.8.6-125.el7ost
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1311005
Last Closed: 2016-07-06 11:05:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michele Baldessari 2016-02-23 03:12:44 EST
+++ This bug was initially created as a clone of Bug #1311005 +++

Description of problem:
Sometimes when a controller is rebooted the node is unable to join the rabbitmq
cluster. This issue needs the following to happen to be fixed:

1) BZ https://bugzilla.redhat.com/show_bug.cgi?id=1247303 needs a fix in the resource agent (see this BZ for more history about this issue)

2) We need to add the meta parameter "notify=true" on fresh installs and on updates.

Note, that if the fix to THT makes it in before the fix of the resource agent,
nothing happens (i.e. things keep going like before)
Comment 6 Peter Lemenkov 2016-06-24 09:33:41 EDT
If someone still sees this issue, then please test this package:

Comment 7 Marius Cornea 2016-06-27 05:09:38 EDT
Checking THT with the latest 7 build:

[stack@undercloud ~]$ rpm -qa | grep tripleo-heat-templates

[stack@undercloud ~]$ grep -A6 "pacemaker::resource::ocf { 'rabbitmq':" /usr/share/openstack-tripleo-heat-templates/puppet/manifests/overcloud_controller_pacemaker.pp 
    pacemaker::resource::ocf { 'rabbitmq':
      ocf_agent_name  => 'heartbeat:rabbitmq-cluster',
      resource_params => 'set_policy=\'ha-all ^(?!amq\.).* {"ha-mode":"all"}\'',
      clone_params    => 'ordered=true interleave=true',
      meta_params     => 'notify=true',
      require         => Class['::rabbitmq'],
[stack@undercloud ~]$ grep 'rabbitmq meta notify=true' /usr/share/openstack-tripleo-heat-templates/extraconfig/tasks/yum_update.sh
    pcs -f $pacemaker_dumpfile resource update rabbitmq meta notify=true

Results in the following resource on deployed overcloud:

[root@overcloud-controller-0 heat-admin]# pcs resource show rabbitmq
 Resource: rabbitmq (class=ocf provider=heartbeat type=rabbitmq-cluster)
  Attributes: set_policy="ha-all ^(?!amq\.).* {"ha-mode":"all"}" 
  Meta Attrs: notify=true 
  Operations: start interval=0s timeout=100 (rabbitmq-start-interval-0s)
              stop interval=0s timeout=90 (rabbitmq-stop-interval-0s)
              monitor interval=10 timeout=40 (rabbitmq-monitor-interval-10)
Comment 9 errata-xmlrpc 2016-07-06 11:05:40 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.